Skip to main content
GET
https://api.aisa.one/apis/v1
/
instagram
/
post
/
comments
Post Comments
curl --request GET \
  --url https://api.aisa.one/apis/v1/instagram/post/comments \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "credits_remaining": 33929114,
  "comments": [
    {
      "id": "18051843701642870",
      "text": "\"...but who wants to know people who don't love animals anyway?\". ❤️",
      "created_at": "2025-09-16T17:03:04.000Z",
      "comment_like_count": 0,
      "user": {
        "is_verified": false,
        "id": "46773599357",
        "pk": "46773599357",
        "is_unpublished": null,
        "profile_pic_url": "https://scontent-dfw5-1.cdninstagram.com/v/t51.2885-19/542013919_18051324464559358_4060586438619554592_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-dfw5-1.cdninstagram.com&_nc_cat=110&_nc_oc=Q6cZ2QEVOAPWq7DXE6cVfhoMQb0GTMvPo_vizELP9TUgQylvA5jBW1WSonDzvjeTQpAGJ3w&_nc_ohc=b__bzrMG6kYQ7kNvwGXM67R&_nc_gid=oDBffhoPbGLAq2tbCGpGKg&edm=AKp6CbIBAAAA&ccb=7-5&oh=00_AflThVwZ86n6DiACA5-zJCNFQZWBwHfaG6AXZclgea57BA&oe=695A3139&_nc_sid=d62176",
        "username": "catherina_thijs",
        "fbid_v2": "17841446780736699"
      }
    }
  ],
  "cursor": "AQHSpoi6HyDbzYRMzrD........."
}
The comment thread of a post by URL.

Example

curl "https://api.aisa.one/apis/v1/instagram/post/comments?url=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY"

Authorizations

Authorization
string
header
required

AIsa API key. Get yours at https://aisa.one

Query Parameters

url
string
required

The URL of the post or reel to get comments from

cursor
string

The cursor to get more comments. Get 'cursor' from previous response.

Response

200 - application/json

Successful response